.main {
  display: flex;
  padding: 20px;
}


.slider {
  position: relative;
  width: 60vw;
  /* height: 80vh; */
  overflow: hidden;
  border: 2px solid #ddd;
  border-radius: 10px;
  animation: slideLeft 1.5s ease-in-out;
}

.slider-container {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide {
  min-width: 100%;
  height: 80vh;
}

.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgb(154, 2, 7);
  color: #fff;
  border: none;
  /* border-radius: 50%; */
  width: 80px;
  height: 50px;
  font-size: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  z-index: 900;
}

.arrow:hover {
  background-color: rgba(138, 13, 13, 0.8);
}

.arrow.left {
  left: 0px;
  border-top-right-radius: 40px;
  border-bottom-right-radius: 40px;
}

.arrow.right {
  right: 0px;
  border-top-left-radius: 40px;
  border-bottom-left-radius: 40px;
}



.news-container {
  border: 1px solid rgb(146, 101, 101);
  min-width: 400px;
  height: 80vh;
  border-radius: 8px;
  position: relative;
  right: -60px;
  overflow: hidden;
  animation: slideRight 1.5s ease-in-out;

}

.news-head {
  position: absolute;
  min-width: 400px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  background-color: rgb(116, 5, 5);
  z-index: 100;
  animation: slideRight 1.5s ease-in-out;
}

.news-head h2 {
  padding: 10px 0 10px 120px;
  color: white;
}

.news {
  padding: 0 20px;
  position: absolute;
  left: 5%;
  bottom: 0;
  z-index: 99;
  animation: newsScroll 12s linear infinite;
  animation-play-state: running;
}

.news p {
  color: rgb(12, 12, 211);
  margin-top: 8px;
}

.news p a {
  text-decoration: none;
  margin-left: 10px;
  padding: 4px;
  width: 60px;
  height: 40px;
  border-radius: 4px;
  text-transform: capitalize;
  background-color: red;
  color: rgb(247, 247, 247);
  line-height: 20px;
}
.news:hover {
  animation-play-state: paused;
  cursor: pointer;
}



@keyframes newsScroll {
  0% {
    bottom: -100%;
  }

  100% {
    bottom: 100%;
  }
}

@keyframes slideLeft {
  0% {
    transform: translateX(-100%);
    opacity: 0;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideRight {
  0% {
    transform: translateX(100%);
    opacity: 0;
  }

  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@media (max-width: 768px) {
  .main{
    flex-direction: column;
    gap: 30px;
  }
  .slider{
    width: 100%;
    height: 50vh;
  }
  .news-container{
    width: 100%;
    height: 60vh;
    right: 10px;
  }
  .news-head{
    min-width: 760px;
  }
 
  /* .news-head h2{
    padding-left: 30%;
  } */

}

/* image slider */

.img-slider-container {
  position: relative;
  width: 100%;
  height: 250px;
  margin: auto;
  overflow: hidden;
  padding: 20px 80px;
  background-color: #a8a6a6;
  animation: slideLeft 1.5s ease-in-out;
}

.img-slider {
  width: 90%;
  margin: 0 auto;
  overflow: hidden;
}

.img-slider-track {
  display: flex;
  transition: transform 0.5s ease;
}

.img-slide {
  min-width: 300px;
  height: 200px;
  object-fit: cover;
  flex: 0 0 25%;
  position: relative;
  padding: 10px;
}

.img-slide img {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  transform: translateY(100%);
  transition: transform 0.5s ease;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  font-weight: bold;
}

.img-slide:hover .overlay {
  transform: translateY(0);
}


@media (max-width:768px){
  .img-slider{
    width: 100%;
  }
  .img-slide{
    min-width: 600px;
  }
}




/* ....................facility cards................ */


.facility-cards {
  width: 100%;
  background-color: rgb(255, 250, 250);
  padding: 20px;
}

.facility-cards h1 {
  margin-bottom: 20px;
  text-align: center;
  font-size: 28px;
  color: rgb(38, 38, 208);
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

.card {
  width: 100%;
  max-width: 350px;
  height: auto;
  background-color: rgb(214, 210, 210);
  padding: 10px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.card-img {
  width: 100%;
  height: 200px;
}

.card-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-content {
  padding: 15px 0;
  text-align: justify;
  position: relative;
}

.card-content h2 {
  color: blue;
  font-size: 22px;
}

.card-content p {
  color: rgb(47, 39, 39);
  font-size: 16px;
}

.card:hover {
  transform: scale(1.03);
  border: 1px solid rgb(27, 109, 241);
}

/* ✅ Mobile Responsive View (For screens up to 768px) */
@media screen and (max-width: 768px) {
  .card-container {
    flex-direction: column;
    gap: 15px;
  }

  .card {
    width: 100%;
    max-width: 760px;
  }

  .card-content h2 {
    font-size: 20px;
  }

  .card-content p {
    font-size: 14px;
  }
}


/* about & our history */

.history-img {
  width: 90%;
  height: 60vh;
  margin: 10px auto;
  animation: slideLeft 1.5s ease-in-out;
}

.history-img img {
  width: 100%;
  height: 100%;
  /* object-fit: cover; */
}

.main-container {
  padding: 30px 60px;
}

.main-container h2 {
  font-size: 30px;
  color: rgb(21, 21, 213);
}

.main-box {
  display: flex;
  justify-content: space-between;
  gap: 30px;
}

.left-box {
  min-width: 350px;
  height: 217px;
  background-color: #87030c;
  animation: slideLeft 1.5s ease-in-out;

}

.left-box ul li {
  margin: 5px;
  border-bottom: 1px solid rgb(213, 208, 208);
  padding: 6px;

}

.left-box ul li:hover {
  background-color: rgb(206, 14, 14);
  transform: scale(1.03);
}

.left-box ul li a {
  color: white;
  text-decoration: none;
  cursor: pointer;
}

.right-box {
  animation: slideRight 1.5s ease-in-out;
}

.right-box h3 {
  color: blue;
  font-size: 28px;
  border-bottom: 1.5px solid gray;
  margin-bottom: 40px;
}

.right-box p {

  margin-bottom: 20px;
  text-align: justify;
  line-height: 28px;
}

.mission {
  animation: slideRight 1.5s ease-in-out;
}

.mission h3 {
  font-size: 28px;
  color: blue;
}

.mission-content h4 {
  font-size: 20px;
  color: rgb(16, 16, 184);
}

.mission-content p {
  text-align: justify;
}

.vision {
  animation: slideRight 1.5s ease-in-out;
}

.vision h3 {
  font-size: 26px;
  color: blue;
}

.vision-content h4 {
  font-size: 20px;
  color: rgb(16, 16, 184);
}

.vision-content p {
  text-align: justify;
}

@media (max-width:768px) {
  .history-img {
    height: 300px;
  }

  .main-container {
    padding: 15px;
  }

  .main-box {
    flex-direction: column;
  }
}


/* ...............Career page.................. */




.job-posting {
  background-color: white;
  margin-bottom: 30px;
  padding: 20px;
  border: 1px solid #1d1dcf;
  border-radius: 8px;
  width: 100%;

}
.job-posting1{
  animation: slideRight 1.1s ease-in-out;
}
.job-posting2{
  animation: slideRight 1.3s ease-in-out;
}
.job-posting3{
  animation: slideRight 1.5s ease-in-out;
}

.job-posting:hover {
  transform: translateY(1.08px);
  transform: scale(1.03);
}

.job-posting h3 {
  color: #0073e6;
  margin-bottom: 10px;
}

.job-posting p {
  margin-bottom: 10px;
}

.job-posting h4 {
  margin-top: 10px;
  font-size: 18px;
  color: #2e2c2c;
}

.job-posting ul {
  margin-left: 20px;
  list-style-type: disc;
}

.job-posting a {
  color: #0073e6;
  text-decoration: none;
}

.job-posting a:hover {
  text-decoration: underline;
}

.btn {
  padding: 10px 20px;
  font-size: 16px;
  border: none;
  border-radius: 4px;
  background-color: rgb(9, 9, 102);
  color: white;
}

.btn a {
  font-style: none;
  color: white;
}

.btn a:hover {
  text-decoration: none;
}

.btn:hover {
  background-color: rgb(197, 25, 28);
  cursor: pointer;
}


/* ........................calendar section .....................*/



/* Calendar Styles */
.calendar {
  width: 100%;
  animation: slideRight 1.5s ease-in-out;
}

.calendar h3 {
  font-size: 26px;
  color: rgb(22, 22, 183);
  border-bottom: 1.5px solid rgb(158, 154, 154);
}

.calendar-container {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  overflow: hidden;
  margin-top: 30px;
}

.calendar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #3f72af;
  color: white;
  padding: 10px;
}

#monthYear {
  color: white;
}

.calendar-header button {
  background-color: #ffac41;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
  color: white;
}

.calendar-body {
  padding: 10px;
}

.weekdays {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  text-align: center;
  font-weight: bold;
}

.weekday {
  padding: 5px;
  background-color: #f0f0f0;
}

.days {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
}

.day {
  padding: 10px;
  text-align: center;
  cursor: pointer;
  transition: background-color 0.3s;
}

.day:hover {
  background-color: #f0f0f0;
}

.day.disabled {
  color: #ccc;
}

.day.selected {
  background-color: #3f72af;
  color: white;
}


/*......................... admission container ..................*/

.admi-container {
  padding: 30px 100px;
  animation: slideLeft 1.5s ease-in-out;
}

.admi-container h2 {
  font-size: 28px;
  color: rgb(18, 18, 202);
  border-bottom: 1px solid rgb(83, 78, 78);
  margin-bottom: 50px;

}

.admi-container h4 {
  font-size: 24px;
  margin-bottom: -10px;
  color: #0073e6;
}

.admi-container p {
  text-align: justify;
  margin-top: 10px;
  line-height: 26px;
  color: #2e2c2c;
}

.contact {
  padding: 30px 100px;
  display: flex;
  justify-content: space-between;
}
.contact-us{
  animation: slideLeft 1.5s ease-in-out;
}
.contact-us h4{
   font-size: 22px;
   color: blue;
}
.contact-us h3{
  font-size: 16px;
  color: #333;
  margin: 7px 0;
}
.contact-us p{
  color: #333;
}
.contact-us p span{
  color: #131212;
  font-weight: 600;
}
.contact-with-us {
  width: 60%;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  animation: slideRight 1.5s ease-in-out;
}
.contact-with-us h4{
  font-size: 22px;
  color: #0073e6;
  text-align: center;
}
.contact-with-us p{
  font-size: 14px;
  color: #3e3c3c;
  text-align: center;
  margin-bottom: 10px;
}

.form-group {
  margin-bottom: 15px;
}

.form-group label {
  display: block;
  font-size: 16px;
  color: #333;
  margin-bottom: 5px;
}

.form-group input,
.form-group select {
  width: 100%;
  padding: 10px;
  font-size: 14px;
  border: 1px solid #ddd;
  border-radius: 5px;
}
.form-group input:focus,
.form-group select:focus{
  outline: 1px solid rgb(35, 127, 184);
}

.form-group select {
  cursor: pointer;
}

.form-group select:invalid {
  border-color: red;
}

.error-message {
  color: red;
  font-size: 12px;
  margin-top: 5px;
  display: none;
}

.submit-btn {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: #3498db;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
}

.submit-btn:hover {
  background-color: #2980b9;
}

@media (max-width:768px){
  .admi-container{
    padding:12px;
  }
  .contact{
    padding: 12px;
    flex-direction: column;
  }
  .contact-us{
    padding: 10px;
  }
  .contact-with-us{
    width: 100%;
    margin-top: 50px;
  }
  .contact-with-us h4{
    text-align: start;
  }
  .contact-with-us p{
    text-align: start;
  }
}

/* .....................sport container......................... */


.sport-container {
  width: 80%;
  /* margin: 20px auto; */
  padding: 0 20px;
  animation: slideRight 1.5s ease-in-out;
}

.sport {
  margin-bottom: 20px;
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 20px;
  transition: 0.3s;
  text-align: justify;
}

.sport:hover {
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.sport img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.sport h2 {
  margin-top: 10px;
  color: #34495e;
}

.sport p {
  font-size: 16px;
  color: #555;
  line-height: 1.5;
}

.collapse-btn {
  background-color: #3498db;
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  border-radius: 5px;
  font-size: 16px;
  margin-top: 10px;
}

.collapse-btn:hover {
  background-color: #2980b9;
}

.more-info {
  display: none;
  padding: 10px;
  background-color: #ecf0f1;
  margin-top: 10px;
  border-radius: 5px;
}

@media (max-width:768px){
  .sport-container{
    width: 100%;
    padding: 8px;
  }
}


/* ..........................event section..................... */




/* Events Section */
#events {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.event {
  background-color: white;
  margin: 10px 0;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  animation: slideRight 1.5s ease-in-out;
  text-align: justify;
}
.event:hover{
  transform: translateY(1.9px);
  transform: scale(1.03);
}

.event h2 {
  font-size: 1.8rem;
}

button {
  background-color: #4CAF50;
  color: white;
  border: none;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
  margin-top: 10px;
}

button:hover {
  background-color: #45a049;
}

.event-details {
  margin-top: 10px;
  padding: 10px;
  background-color: #f9f9f9;
  border-radius: 5px;
  display: none;
}

 
/* ...........................FAQ page................... */





.faq-container {
  max-width: 90%;
  margin: 50px auto;
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

.faq-header {
  text-align: center;
  margin-bottom: 30px;
}

.faq-header h1 {
  font-size: 2.5em;
  color: #2e7d32;
}

.faq-header p {
  font-size: 1.1em;
  color: #555;
}

.faq-section {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.faq-item {
  background-color: #f5f5f5;
  border: 1px solid #ddd;
  border-radius: 8px;
 
}
.faq1{
  animation: slideRight 1.1s ease-in-out;
}
.faq2{
  animation: slideRight 1.2s ease-in-out;
}
.faq3{
  animation: slideRight 1.3s ease-in-out;
}
.faq4{
  animation: slideRight 1.4s ease-in-out;
}
.faq5{
  animation: slideRight 1.5s ease-in-out;
}
.faq6{
  animation: slideRight 1.6s ease-in-out;
}
.faq7{
  animation: slideRight 1.7s ease-in-out;
}


.faq-question {
  width: 100%;
  padding: 15px;
  text-align: left;
  background-color: #2e7d32;
  color: white;
  border: none;
  font-size: 1.1em;
  cursor: pointer;
  border-radius: 8px;
  transition: background-color 0.3s;
}

.faq-question:hover {
  background-color: #1b5e20;
}

.faq-answer {
  padding: 15px;
  background-color: #fafafa;
  display: none;
  border-top: 1px solid #ddd;
}

@media (max-width: 768px) {
  .faq-container {
      padding: 15px;
  }

  .faq-header h1 {
      font-size: 2em;
  }

  .faq-header p {
      font-size: 1em;
  }
}


/* ..........................gallery page................... */


.gallery-container {
  max-width: 1200px;
  margin: 50px auto;
  padding: 20px;
}

.gallery-header {
  text-align: center;
  margin-bottom: 40px;
}

.gallery-header h1 {
  font-size: 2.5em;
  color: #2e7d32;
}

.gallery-header p {
  font-size: 1.2em;
  color: #555;
}

.gallery-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 30px;
}

.gallery-item {
  position: relative;
  /* width: 400px;
  height: 400px; */
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  background-color: #dedede;
  transition: transform 0.3s ease-in-out;
}

.gallery-item img {
  width:100%;
  height: 100%;
  text-align: center;
  padding: 12px;
  object-fit: cover;
  transition: transform 0.3s ease-in-out;
  border-radius: 8px;
}

.gallery-item:hover {
  transform: scale(1.05);
}
.img1{
  animation: slideRight 1.5s ease-in-out;
}
.img2{
  animation: slideLeft 1.5s ease-in-out;
}
.img3{
  animation: slideRight 1.5s ease-in-out;
}
.img4{
  animation: slideLeft 1.5s ease-in-out;
}
.img3{
  animation: slideRight 1.5s ease-in-out;
}

.overlay-img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  transform: translateY(100%);
  transition: transform 0.5s ease;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  font-weight: bold;
}

.gallery-item:hover .overlay-img {
  transform: translateY(0);
}

@media (max-width: 768px) {
  .gallery-grid {
      grid-template-columns: repeat(2, 1fr);
  }

  .gallery-header h1 {
      font-size: 2em;
  }

  .gallery-header p {
      font-size: 1em;
  }
}

@media (max-width: 480px) {
  .gallery-grid {
      grid-template-columns: 1fr;
  }

  .gallery-header h1 {
      font-size: 1.8em;
  }

  .gallery-header p {
      font-size: 1em;
  }
}



/*......................... contact form ........................*/


.contact-container {
  max-width: 800px;
  margin: 50px auto;
  padding: 30px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px;
  animation: slideRight 1.5s ease-in-out;
}

.contact-header {
  text-align: center;
  margin-bottom: 30px;
}

.contact-header h1 {
  font-size: 2.5em;
  color: #2c3e50;
}


.contact-header p {
  font-size: 1.1em;
  color: #7f8c8d;
}

.contact-form {
  display: flex;
  flex-direction: column;
}

.form-group {
  margin-bottom: 20px;
}

label {
  font-size: 1.1em;
  color: #2c3e50;
}

input, textarea {
  width: 100%;
  padding: 10px;
  font-size: 1em;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-top: 5px;
}

textarea {
  height: 150px;
}

.error {
  font-size: 0.9em;
  color: red;
  margin-top: 5px;
}

.submit-btn {
  padding: 15px;
  font-size: 1.2em;
  background-color:#830c0c ;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.submit-btn:hover {
  background-color: #1712b4;
}

@media (max-width: 768px) {
  .contact-container {
      padding: 20px;
  }

  .contact-header h1 {
      font-size: 2em;
  }

  .contact-header p {
      font-size: 1em;
  }
}

@media (max-width: 480px) {
  .contact-container {
      padding: 15px;
  }

  .contact-header h1 {
      font-size: 1.8em;
  }

  .contact-header p {
      font-size: 0.9em;
  }

  .submit-btn {
      font-size: 1em;
      padding: 12px;
  }
}


